#!/bin/sh
# Usage: gen-req-aliases.sh duser user@domain.tld
set -e
mhome=/home/mail

duser="$1"
email="$2"

test -z "$duser" -o -z "$email" \
	&& echo "Usage: gen-req-aliases.sh duser user@domain.tld" \
	&& exit

cd $mhome/$duser

rm -rf abuse && mkdir -p abuse
echo $email > abuse/.qmail
chown -R $duser:mailboxen abuse

users="hostmaster mailer-daemon postmaster root webmaster"

for user in $users; do
	sudo -u $duser ln -sf abuse $user
done
